/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package androidx.compose.ui.input.key

import androidx.compose.ui.implementedInJetBrainsFork

actual value class Key(val keyCode: Long) {
    actual companion object {
        actual val Unknown: Key = implementedInJetBrainsFork()
        actual val Home: Key = implementedInJetBrainsFork()
        actual val Help: Key = implementedInJetBrainsFork()
        actual val DirectionUp: Key = implementedInJetBrainsFork()
        actual val DirectionDown: Key = implementedInJetBrainsFork()
        actual val DirectionLeft: Key = implementedInJetBrainsFork()
        actual val DirectionRight: Key = implementedInJetBrainsFork()
        actual val Zero: Key = implementedInJetBrainsFork()
        actual val One: Key = implementedInJetBrainsFork()
        actual val Two: Key = implementedInJetBrainsFork()
        actual val Three: Key = implementedInJetBrainsFork()
        actual val Four: Key = implementedInJetBrainsFork()
        actual val Five: Key = implementedInJetBrainsFork()
        actual val Six: Key = implementedInJetBrainsFork()
        actual val Seven: Key = implementedInJetBrainsFork()
        actual val Eight: Key = implementedInJetBrainsFork()
        actual val Nine: Key = implementedInJetBrainsFork()
        actual val Plus: Key = implementedInJetBrainsFork()
        actual val Minus: Key = implementedInJetBrainsFork()
        actual val Multiply: Key = implementedInJetBrainsFork()
        actual val Equals: Key = implementedInJetBrainsFork()
        actual val Pound: Key = implementedInJetBrainsFork()
        actual val A: Key = implementedInJetBrainsFork()
        actual val B: Key = implementedInJetBrainsFork()
        actual val C: Key = implementedInJetBrainsFork()
        actual val D: Key = implementedInJetBrainsFork()
        actual val E: Key = implementedInJetBrainsFork()
        actual val F: Key = implementedInJetBrainsFork()
        actual val G: Key = implementedInJetBrainsFork()
        actual val H: Key = implementedInJetBrainsFork()
        actual val I: Key = implementedInJetBrainsFork()
        actual val J: Key = implementedInJetBrainsFork()
        actual val K: Key = implementedInJetBrainsFork()
        actual val L: Key = implementedInJetBrainsFork()
        actual val M: Key = implementedInJetBrainsFork()
        actual val N: Key = implementedInJetBrainsFork()
        actual val O: Key = implementedInJetBrainsFork()
        actual val P: Key = implementedInJetBrainsFork()
        actual val Q: Key = implementedInJetBrainsFork()
        actual val R: Key = implementedInJetBrainsFork()
        actual val S: Key = implementedInJetBrainsFork()
        actual val T: Key = implementedInJetBrainsFork()
        actual val U: Key = implementedInJetBrainsFork()
        actual val V: Key = implementedInJetBrainsFork()
        actual val W: Key = implementedInJetBrainsFork()
        actual val X: Key = implementedInJetBrainsFork()
        actual val Y: Key = implementedInJetBrainsFork()
        actual val Z: Key = implementedInJetBrainsFork()
        actual val Comma: Key = implementedInJetBrainsFork()
        actual val Period: Key = implementedInJetBrainsFork()
        actual val AltLeft: Key = implementedInJetBrainsFork()
        actual val AltRight: Key = implementedInJetBrainsFork()
        actual val ShiftLeft: Key = implementedInJetBrainsFork()
        actual val ShiftRight: Key = implementedInJetBrainsFork()
        actual val Tab: Key = implementedInJetBrainsFork()
        actual val Spacebar: Key = implementedInJetBrainsFork()
        actual val Enter: Key = implementedInJetBrainsFork()
        actual val Backspace: Key = implementedInJetBrainsFork()
        actual val Delete: Key = implementedInJetBrainsFork()
        actual val Escape: Key = implementedInJetBrainsFork()
        actual val CtrlLeft: Key = implementedInJetBrainsFork()
        actual val CtrlRight: Key = implementedInJetBrainsFork()
        actual val CapsLock: Key = implementedInJetBrainsFork()
        actual val ScrollLock: Key = implementedInJetBrainsFork()
        actual val MetaLeft: Key = implementedInJetBrainsFork()
        actual val MetaRight: Key = implementedInJetBrainsFork()
        actual val PrintScreen: Key = implementedInJetBrainsFork()
        actual val Insert: Key = implementedInJetBrainsFork()
        actual val Cut: Key = implementedInJetBrainsFork()
        actual val Copy: Key = implementedInJetBrainsFork()
        actual val Paste: Key = implementedInJetBrainsFork()
        actual val Grave: Key = implementedInJetBrainsFork()
        actual val LeftBracket: Key = implementedInJetBrainsFork()
        actual val RightBracket: Key = implementedInJetBrainsFork()
        actual val Slash: Key = implementedInJetBrainsFork()
        actual val Backslash: Key = implementedInJetBrainsFork()
        actual val Semicolon: Key = implementedInJetBrainsFork()
        actual val Apostrophe: Key = implementedInJetBrainsFork()
        actual val At: Key = implementedInJetBrainsFork()
        actual val PageUp: Key = implementedInJetBrainsFork()
        actual val PageDown: Key = implementedInJetBrainsFork()
        actual val F1: Key = implementedInJetBrainsFork()
        actual val F2: Key = implementedInJetBrainsFork()
        actual val F3: Key = implementedInJetBrainsFork()
        actual val F4: Key = implementedInJetBrainsFork()
        actual val F5: Key = implementedInJetBrainsFork()
        actual val F6: Key = implementedInJetBrainsFork()
        actual val F7: Key = implementedInJetBrainsFork()
        actual val F8: Key = implementedInJetBrainsFork()
        actual val F9: Key = implementedInJetBrainsFork()
        actual val F10: Key = implementedInJetBrainsFork()
        actual val F11: Key = implementedInJetBrainsFork()
        actual val F12: Key = implementedInJetBrainsFork()
        actual val NumLock: Key = implementedInJetBrainsFork()
        actual val NumPad0: Key = implementedInJetBrainsFork()
        actual val NumPad1: Key = implementedInJetBrainsFork()
        actual val NumPad2: Key = implementedInJetBrainsFork()
        actual val NumPad3: Key = implementedInJetBrainsFork()
        actual val NumPad4: Key = implementedInJetBrainsFork()
        actual val NumPad5: Key = implementedInJetBrainsFork()
        actual val NumPad6: Key = implementedInJetBrainsFork()
        actual val NumPad7: Key = implementedInJetBrainsFork()
        actual val NumPad8: Key = implementedInJetBrainsFork()
        actual val NumPad9: Key = implementedInJetBrainsFork()
        actual val NumPadDivide: Key = implementedInJetBrainsFork()
        actual val NumPadMultiply: Key = implementedInJetBrainsFork()
        actual val NumPadSubtract: Key = implementedInJetBrainsFork()
        actual val NumPadAdd: Key = implementedInJetBrainsFork()
        actual val NumPadDot: Key = implementedInJetBrainsFork()
        actual val NumPadComma: Key = implementedInJetBrainsFork()
        actual val NumPadEnter: Key = implementedInJetBrainsFork()
        actual val NumPadEquals: Key = implementedInJetBrainsFork()
        actual val NumPadLeftParenthesis: Key = implementedInJetBrainsFork()
        actual val NumPadRightParenthesis: Key = implementedInJetBrainsFork()
        actual val MoveHome: Key = implementedInJetBrainsFork()
        actual val MoveEnd: Key = implementedInJetBrainsFork()
        actual val SoftLeft: Key = implementedInJetBrainsFork()
        actual val SoftRight: Key = implementedInJetBrainsFork()
        actual val Back: Key = implementedInJetBrainsFork()
        actual val NavigatePrevious: Key = implementedInJetBrainsFork()
        actual val NavigateNext: Key = implementedInJetBrainsFork()
        actual val NavigateIn: Key = implementedInJetBrainsFork()
        actual val NavigateOut: Key = implementedInJetBrainsFork()
        actual val SystemNavigationUp: Key = implementedInJetBrainsFork()
        actual val SystemNavigationDown: Key = implementedInJetBrainsFork()
        actual val SystemNavigationLeft: Key = implementedInJetBrainsFork()
        actual val SystemNavigationRight: Key = implementedInJetBrainsFork()
        actual val Call: Key = implementedInJetBrainsFork()
        actual val EndCall: Key = implementedInJetBrainsFork()
        actual val DirectionCenter: Key = implementedInJetBrainsFork()
        actual val DirectionUpLeft: Key = implementedInJetBrainsFork()
        actual val DirectionDownLeft: Key = implementedInJetBrainsFork()
        actual val DirectionUpRight: Key = implementedInJetBrainsFork()
        actual val DirectionDownRight: Key = implementedInJetBrainsFork()
        actual val VolumeUp: Key = implementedInJetBrainsFork()
        actual val VolumeDown: Key = implementedInJetBrainsFork()
        actual val Power: Key = implementedInJetBrainsFork()
        actual val Camera: Key = implementedInJetBrainsFork()
        actual val Clear: Key = implementedInJetBrainsFork()
        actual val Symbol: Key = implementedInJetBrainsFork()
        actual val Browser: Key = implementedInJetBrainsFork()
        actual val Envelope: Key = implementedInJetBrainsFork()
        actual val Function: Key = implementedInJetBrainsFork()
        actual val Break: Key = implementedInJetBrainsFork()
        actual val Number: Key = implementedInJetBrainsFork()
        actual val HeadsetHook: Key = implementedInJetBrainsFork()
        actual val Focus: Key = implementedInJetBrainsFork()
        actual val Menu: Key = implementedInJetBrainsFork()
        actual val Notification: Key = implementedInJetBrainsFork()
        actual val Search: Key = implementedInJetBrainsFork()
        actual val PictureSymbols: Key = implementedInJetBrainsFork()
        actual val SwitchCharset: Key = implementedInJetBrainsFork()
        actual val ButtonA: Key = implementedInJetBrainsFork()
        actual val ButtonB: Key = implementedInJetBrainsFork()
        actual val ButtonC: Key = implementedInJetBrainsFork()
        actual val ButtonX: Key = implementedInJetBrainsFork()
        actual val ButtonY: Key = implementedInJetBrainsFork()
        actual val ButtonZ: Key = implementedInJetBrainsFork()
        actual val ButtonL1: Key = implementedInJetBrainsFork()
        actual val ButtonR1: Key = implementedInJetBrainsFork()
        actual val ButtonL2: Key = implementedInJetBrainsFork()
        actual val ButtonR2: Key = implementedInJetBrainsFork()
        actual val ButtonThumbLeft: Key = implementedInJetBrainsFork()
        actual val ButtonThumbRight: Key = implementedInJetBrainsFork()
        actual val ButtonStart: Key = implementedInJetBrainsFork()
        actual val ButtonSelect: Key = implementedInJetBrainsFork()
        actual val ButtonMode: Key = implementedInJetBrainsFork()
        actual val Button1: Key = implementedInJetBrainsFork()
        actual val Button2: Key = implementedInJetBrainsFork()
        actual val Button3: Key = implementedInJetBrainsFork()
        actual val Button4: Key = implementedInJetBrainsFork()
        actual val Button5: Key = implementedInJetBrainsFork()
        actual val Button6: Key = implementedInJetBrainsFork()
        actual val Button7: Key = implementedInJetBrainsFork()
        actual val Button8: Key = implementedInJetBrainsFork()
        actual val Button9: Key = implementedInJetBrainsFork()
        actual val Button10: Key = implementedInJetBrainsFork()
        actual val Button11: Key = implementedInJetBrainsFork()
        actual val Button12: Key = implementedInJetBrainsFork()
        actual val Button13: Key = implementedInJetBrainsFork()
        actual val Button14: Key = implementedInJetBrainsFork()
        actual val Button15: Key = implementedInJetBrainsFork()
        actual val Button16: Key = implementedInJetBrainsFork()
        actual val Forward: Key = implementedInJetBrainsFork()
        actual val MediaPlay: Key = implementedInJetBrainsFork()
        actual val MediaPause: Key = implementedInJetBrainsFork()
        actual val MediaPlayPause: Key = implementedInJetBrainsFork()
        actual val MediaStop: Key = implementedInJetBrainsFork()
        actual val MediaRecord: Key = implementedInJetBrainsFork()
        actual val MediaNext: Key = implementedInJetBrainsFork()
        actual val MediaPrevious: Key = implementedInJetBrainsFork()
        actual val MediaRewind: Key = implementedInJetBrainsFork()
        actual val MediaFastForward: Key = implementedInJetBrainsFork()
        actual val MediaClose: Key = implementedInJetBrainsFork()
        actual val MediaAudioTrack: Key = implementedInJetBrainsFork()
        actual val MediaEject: Key = implementedInJetBrainsFork()
        actual val MediaTopMenu: Key = implementedInJetBrainsFork()
        actual val MediaSkipForward: Key = implementedInJetBrainsFork()
        actual val MediaSkipBackward: Key = implementedInJetBrainsFork()
        actual val MediaStepForward: Key = implementedInJetBrainsFork()
        actual val MediaStepBackward: Key = implementedInJetBrainsFork()
        actual val MicrophoneMute: Key = implementedInJetBrainsFork()
        actual val VolumeMute: Key = implementedInJetBrainsFork()
        actual val Info: Key = implementedInJetBrainsFork()
        actual val ChannelUp: Key = implementedInJetBrainsFork()
        actual val ChannelDown: Key = implementedInJetBrainsFork()
        actual val ZoomIn: Key = implementedInJetBrainsFork()
        actual val ZoomOut: Key = implementedInJetBrainsFork()
        actual val Tv: Key = implementedInJetBrainsFork()
        actual val Window: Key = implementedInJetBrainsFork()
        actual val Guide: Key = implementedInJetBrainsFork()
        actual val Dvr: Key = implementedInJetBrainsFork()
        actual val Bookmark: Key = implementedInJetBrainsFork()
        actual val Captions: Key = implementedInJetBrainsFork()
        actual val Settings: Key = implementedInJetBrainsFork()
        actual val TvPower: Key = implementedInJetBrainsFork()
        actual val TvInput: Key = implementedInJetBrainsFork()
        actual val SetTopBoxPower: Key = implementedInJetBrainsFork()
        actual val SetTopBoxInput: Key = implementedInJetBrainsFork()
        actual val AvReceiverPower: Key = implementedInJetBrainsFork()
        actual val AvReceiverInput: Key = implementedInJetBrainsFork()
        actual val ProgramRed: Key = implementedInJetBrainsFork()
        actual val ProgramGreen: Key = implementedInJetBrainsFork()
        actual val ProgramYellow: Key = implementedInJetBrainsFork()
        actual val ProgramBlue: Key = implementedInJetBrainsFork()
        actual val AppSwitch: Key = implementedInJetBrainsFork()
        actual val LanguageSwitch: Key = implementedInJetBrainsFork()
        actual val MannerMode: Key = implementedInJetBrainsFork()
        actual val Toggle2D3D: Key = implementedInJetBrainsFork()
        actual val Contacts: Key = implementedInJetBrainsFork()
        actual val Calendar: Key = implementedInJetBrainsFork()
        actual val Music: Key = implementedInJetBrainsFork()
        actual val Calculator: Key = implementedInJetBrainsFork()
        actual val ZenkakuHankaru: Key = implementedInJetBrainsFork()
        actual val Eisu: Key = implementedInJetBrainsFork()
        actual val Muhenkan: Key = implementedInJetBrainsFork()
        actual val Henkan: Key = implementedInJetBrainsFork()
        actual val KatakanaHiragana: Key = implementedInJetBrainsFork()
        actual val Yen: Key = implementedInJetBrainsFork()
        actual val Ro: Key = implementedInJetBrainsFork()
        actual val Kana: Key = implementedInJetBrainsFork()
        actual val Assist: Key = implementedInJetBrainsFork()
        actual val BrightnessDown: Key = implementedInJetBrainsFork()
        actual val BrightnessUp: Key = implementedInJetBrainsFork()
        actual val Sleep: Key = implementedInJetBrainsFork()
        actual val WakeUp: Key = implementedInJetBrainsFork()
        actual val SoftSleep: Key = implementedInJetBrainsFork()
        actual val Pairing: Key = implementedInJetBrainsFork()
        actual val LastChannel: Key = implementedInJetBrainsFork()
        actual val TvDataService: Key = implementedInJetBrainsFork()
        actual val VoiceAssist: Key = implementedInJetBrainsFork()
        actual val TvRadioService: Key = implementedInJetBrainsFork()
        actual val TvTeletext: Key = implementedInJetBrainsFork()
        actual val TvNumberEntry: Key = implementedInJetBrainsFork()
        actual val TvTerrestrialAnalog: Key = implementedInJetBrainsFork()
        actual val TvTerrestrialDigital: Key = implementedInJetBrainsFork()
        actual val TvSatellite: Key = implementedInJetBrainsFork()
        actual val TvSatelliteBs: Key = implementedInJetBrainsFork()
        actual val TvSatelliteCs: Key = implementedInJetBrainsFork()
        actual val TvSatelliteService: Key = implementedInJetBrainsFork()
        actual val TvNetwork: Key = implementedInJetBrainsFork()
        actual val TvAntennaCable: Key = implementedInJetBrainsFork()
        actual val TvInputHdmi1: Key = implementedInJetBrainsFork()
        actual val TvInputHdmi2: Key = implementedInJetBrainsFork()
        actual val TvInputHdmi3: Key = implementedInJetBrainsFork()
        actual val TvInputHdmi4: Key = implementedInJetBrainsFork()
        actual val TvInputComposite1: Key = implementedInJetBrainsFork()
        actual val TvInputComposite2: Key = implementedInJetBrainsFork()
        actual val TvInputComponent1: Key = implementedInJetBrainsFork()
        actual val TvInputComponent2: Key = implementedInJetBrainsFork()
        actual val TvInputVga1: Key = implementedInJetBrainsFork()
        actual val TvAudioDescription: Key = implementedInJetBrainsFork()
        actual val TvAudioDescriptionMixingVolumeUp: Key = implementedInJetBrainsFork()
        actual val TvAudioDescriptionMixingVolumeDown: Key = implementedInJetBrainsFork()
        actual val TvZoomMode: Key = implementedInJetBrainsFork()
        actual val TvContentsMenu: Key = implementedInJetBrainsFork()
        actual val TvMediaContextMenu: Key = implementedInJetBrainsFork()
        actual val TvTimerProgramming: Key = implementedInJetBrainsFork()
        actual val StemPrimary: Key = implementedInJetBrainsFork()
        actual val Stem1: Key = implementedInJetBrainsFork()
        actual val Stem2: Key = implementedInJetBrainsFork()
        actual val Stem3: Key = implementedInJetBrainsFork()
        actual val AllApps: Key = implementedInJetBrainsFork()
        actual val Refresh: Key = implementedInJetBrainsFork()
        actual val ThumbsUp: Key = implementedInJetBrainsFork()
        actual val ThumbsDown: Key = implementedInJetBrainsFork()
        actual val ProfileSwitch: Key = implementedInJetBrainsFork()
    }
}
